StandardMultipartHttpServletRequest (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.multipart.support

## Class StandardMultipartHttpServletRequest

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.springframework.web.multipart.support.AbstractMultipartHttpServletRequest
      - - org.springframework.web.multipart.support.StandardMultipartHttpServletRequest

- All Implemented Interfaces:
    HttpServletRequest, ServletRequest, MultipartHttpServletRequest, MultipartRequest

      public class StandardMultipartHttpServletRequest
      extends AbstractMultipartHttpServletRequest

  Spring MultipartHttpServletRequest adapter, wrapping a Servlet 3.0 HttpServletRequest and its Part objects. Parameters get exposed through the native request's getParameter methods - without any custom processing on our side.
  Since:
    3.1
  Author:
    Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMultipartHttpServletRequest(HttpServletRequest request)` Create a new StandardMultipartHttpServletRequest wrapper for the given request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMultipartContentType(String paramOrFileName)` Determine the content type of the specified request part.
    `HttpHeaders` | `getMultipartHeaders(String paramOrFileName)` Return the headers associated with the specified part of the multipart request.

    - ### Methods inherited from class org.springframework.web.multipart.support.AbstractMultipartHttpServletRequest

      `getFile, getFileMap, getFileNames, getFiles, getMultiFileMap, getMultipartFiles, getRequest, getRequestHeaders, getRequestMethod, initializeMultipart, setMultipartFiles`

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- - ### Constructor Detail

    - #### StandardMultipartHttpServletRequest

          public StandardMultipartHttpServletRequest(HttpServletRequest request)
                                              throws MultipartException

      Create a new StandardMultipartHttpServletRequest wrapper for the given request.
      Parameters:
        `request` - the servlet request to wrap
      Throws:
        `MultipartException` - if parsing failed

  - ### Method Detail

    - #### getMultipartContentType

          public String getMultipartContentType(String paramOrFileName)

      Description copied from interface: `MultipartRequest`
      Determine the content type of the specified request part.
      Parameters:
        `paramOrFileName` - the name of the part
      Returns:
        the associated content type, or `null` if not defined

    - #### getMultipartHeaders

          public HttpHeaders getMultipartHeaders(String paramOrFileName)

      Description copied from interface: `MultipartHttpServletRequest`
      Return the headers associated with the specified part of the multipart request.

      If the underlying implementation supports access to headers, then all headers are returned. Otherwise, the returned headers will include a 'Content-Type' header at the very least.